메인 콘텐츠로 건너뛰기
POST
/
v1
/
server
/
coupons
/
redeem
쿠폰 사용
curl --request POST \
  --url https://sdk-api.playcamp.io/v1/server/coupons/redeem \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "couponCode": "<string>",
  "userId": "<string>",
  "gameUserUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "callbackId": "<string>",
  "isTest": false
}
'
import requests

url = "https://sdk-api.playcamp.io/v1/server/coupons/redeem"

payload = {
"couponCode": "<string>",
"userId": "<string>",
"gameUserUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"callbackId": "<string>",
"isTest": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
couponCode: '<string>',
userId: '<string>',
gameUserUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
callbackId: '<string>',
isTest: false
})
};

fetch('https://sdk-api.playcamp.io/v1/server/coupons/redeem', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "success": true,
    "usageId": 123,
    "couponCode": "<string>",
    "userId": "<string>",
    "packageId": 123,
    "itemName": {},
    "quantity": 123,
    "creatorKey": "<string>",
    "redeemedAt": "2023-11-07T05:31:56Z",
    "errorCode": "<string>",
    "errorMessage": "<string>"
  }
}
{
"status": 400,
"error": "Bad Request",
"message": "Coupon usage limit exceeded",
"code": "USER_CODE_LIMIT"
}
{
"status": 401,
"error": "Unauthorized",
"message": "Invalid API key",
"code": "UNAUTHORIZED"
}

인증

Authorization
string
header
필수

Server API Key (format: {keyId}:{secret})

본문

application/json
couponCode
string
필수

쿠폰 코드

userId
string
필수

유저 ID

gameUserUuid
string<uuid>

게임 내 유저 UUID (선택)

callbackId
string

웹훅 추적용 ID (이 요청으로 발생하는 웹훅 이벤트에 포함됨)

isTest
boolean
기본값:false

테스트 모드 (실제 데이터 생성 안 함)

응답

성공

data
object
필수

쿠폰 사용 결과